Page MenuHomePhabricator

Safari regression: Edit button for H2 left aligned
Closed, ResolvedPublic

Description

English Wikipedia,
Logged in and logged out
Beta and Experimental mode disabled.
Safari 9 (10601.1.35.2.4), Mac OS X 10.10.4


According to the CSS2 spec [1] missing elements in the table model
should be assumed in order for the table model to work. Safari does not
seem to generate anonymous table objects for the missing elements.
(needs reference). We should update this phabricator task if we find an upstream Safari bug. Note the bug is also in Safari 7.

[1] http://www.w3.org/TR/CSS2/tables.html#anonymous-boxes

Event Timeline

TheDJ created this task.Jul 20 2015, 7:56 PM
TheDJ updated the task description. (Show Details)
TheDJ raised the priority of this task from to Needs Triage.
TheDJ added projects: Mobile, Readers-Web-Backlog.
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2015, 7:56 PM
TheDJ updated the task description. (Show Details)Jul 20 2015, 7:57 PM
TheDJ set Security to None.

Fine in Firefox, IE and Chrome - just Safari. (grumbles about how Safari is the new IE)

Jdlrobson renamed this task from Edit button for H2 has become left aligned on Mobile to Safari regression: Edit button for H2 left aligned.Jul 20 2015, 11:25 PM

Looks like some kind of issue with display:table-cell inside an element that is not display: table-row

Jdlrobson removed Jdlrobson as the assignee of this task.Jul 21 2015, 8:50 PM
Jdlrobson moved this task from Doing to To Do on the Reading-Web-Sprint-52-Zoolander board.
bmansurov moved this task from To Do to Code Review on the Reading-Web-Sprint-52-Zoolander board.

Change 226450 had a related patch set uploaded (by Bmansurov):
Fix the position of the edit button in Safari

https://gerrit.wikimedia.org/r/226450

Change 226450 merged by jenkins-bot:
Fix the position of the edit button in Safari

https://gerrit.wikimedia.org/r/226450

Jhernandez closed this task as Resolved.Jul 29 2015, 10:48 AM
Jhernandez added a subscriber: Jhernandez.

Seems to work fine, tested iOS and mac's safari on http://test.m.wikipedia.org/wiki/Headings